h4, h5 and h6 headings on wiki pages should have a paragraph mark

2018-03-14 07:32 - Mizuki ISHIKAWA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 3.3.7   

Resolution: Fixed Affected version:  

Description

When you enter "h1, h2, h3" paragraph begins from there, and paragraph mark (¶) will be displayed by mouse hover.

 paragraph.png 

In case of "h4, h5, h6" There is a paragraph mark, but it is not displayed because there is no setting to display.

As "h4, h5, h6" is also the beginning of a paragraph like "h1, h2, h3", a paragraph mark should be displayed.

Related issues:

Related to Redmine - Feature #28392: Improve wiki headings style Closed

Related to Redmine - Feature #1647: No Anchor Support on Wiki pages Closed 2008-07-15

Associated revisions

Revision 17241 - 2018-03-28 11:11 - Go MAEDA

h4, h5 and h6 headings on wiki pages should have a paragraph mark (#28331).

Patch by Mizuki ISHIKAWA.

Revision 17242 - 2018-03-28 11:13 - Go MAEDA

Merged r17241 from trunk to 3.4-stable (#28331).

Patch by Mizuki ISHIKAWA.

Revision 17243 - 2018-03-28 11:14 - Go MAEDA

Merged r17241 from trunk to 3.3-stable (#28331).

Patch by Mizuki ISHIKAWA.

History

#1 - 2018-03-14 07:34 - Mizuki ISHIKAWA

You can solve this problem by adding a CSS selector like this:

diff --git a/public/stylesheets/application.css b/public/stylesheets/application.css

index 369526a9a..c5aeba8b2 100644

--- a/public/stylesheets/application.css

+++ b/public/stylesheets/application.css

@@ -1126,7 +1126,7 @@ div.wiki ul.toc a:hover { color: #c61a1a; text-decoration: underline;}

 a.wiki-anchor { display: none; margin-left: 6px; text-decoration: none; }

 a.wiki-anchor:hover { color: #aaa !important; text-decoration: none; }

-h1:hover a.wiki-anchor, h2:hover a.wiki-anchor, h3:hover a.wiki-anchor { display: inline; color: #ddd; }

+h1:hover a.wiki-anchor, h2:hover a.wiki-anchor, h3:hover a.wiki-anchor, h4:hover a.wiki-anchor, h5:hover a.wi

ki-anchor, h6:hover a.wiki-anchor { display: inline; color: #ddd; }

 div.wiki img {vertical-align:middle; max-width:100%;}

#2 - 2018-03-21 12:53 - Go MAEDA

- Related to Feature #28392: Improve wiki headings style added

#3 - 2018-03-21 13:06 - Go MAEDA
- Status changed from New to Confirmed

- Target version set to 3.3.7

Thanks for catching the issue, setting target version to 3.3.7.

#4 - 2018-03-25 11:41 - Go MAEDA

- Related to Feature #1647: No Anchor Support on Wiki pages added

#5 - 2018-03-28 11:15 - Go MAEDA

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed to the trunk and merged to stable branches. Thank you for improving Redmine.

#6 - 2018-03-28 11:25 - Go MAEDA

- Subject changed from Paragraph mark is not displayed when h4, h5, and h6 to h4, h5 and h6 headings on wiki pages should have a paragraph mark
